Cocoon API: Class TextFormatter

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.formatter
Class TextFormatter

    java.lang.Object
      |
      +--org.apache.cocoon.formatter.AbstractFormatter
            |
            +--org.apache.cocoon.formatter.TextFormatter

All Implemented Interfaces:
  Cacheable, Configurable, Formatter, Status

public class TextFormatter
extends AbstractFormatter

This formatter is used to serialize non-marked-up results, such as plain text outputs, VRML, CSS, etc..

Version:
  $Revision: 1.5 $ $Date: 2000/04/04 11:11:16 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.formatter.AbstractFormatter
`doctypePublic, doctypeSystem, encoding, format, indent, lineWidth, MIMEtype, preserveSpace, statusMessage`

Constructor Summary
`TextFormatter()`

Method Summary
`void` | `format(org.w3c.dom.Document document, java.io.Writer writer, java.util.Dictionary p)` Prints the give document into a page.
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.

Methods inherited from class org.apache.cocoon.formatter.AbstractFormatter
`getEncoding, getMIMEType, getStatus, isCacheable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFormatter

    public TextFormatter()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Overrides:
    `init` in class `AbstractFormatter`

### format

    public void format(org.w3c.dom.Document document,
                       java.io.Writer writer,
                       java.util.Dictionary p)
                throws java.lang.Exception

  Description copied from interface: `Formatter`
  Prints the give document into a page.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.